Upsert Workstation Devices
post
/config/sim/v2/devices/workstations/upsertDevices
Updates provided fields if the workstation device exists else inserts a new device.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Workstation Device Upsert request body
Root Schema : schema
Type:
Show Source
object-
baudRate:
integer
Baud Rate of the device. Allowed values - 1200, 2400, 4800, 9600, 19200, 38400. Value cannot be null for the following device types - 1, 2, 3, 5, 8, 10, 12, 13, 14, 15(progId - Micros.Devices.FingerPrintReader.Opos), 16 and 17.Example:
9600 -
comPort:
integer
COM Port of the device. Value cannot be null for the following device types - 1, 2, 3, 5, 8, 10, 12, 13, 14, 15(progId - Micros.Devices.FingerPrintReader.Opos), 16 and 17.Example:
1 -
customDevice:
integer
Device type of the custom peripheral device. If non-null, resets the value of deviceType field.Example:
1 -
dataBits:
integer
Data bits of the device. Value cannot be null for the following device types - 1, 2, 3, 5, 8, 10, 12, 13, 14, 15(progId - Micros.Devices.FingerPrintReader.Opos), 16 and 17.Example:
1 -
deviceNum(required):
integer
Sequence number of the deviceExample:
1 -
deviceType:
integer
Type of the peripheral device. Required to create a new device.Example:
1 -
hierUnitId(required):
integer
Unique hierarchy unit value of the propertyExample:
1 -
hostTimeoutInSecs:
integer
Timeout in seconds if request is abandoned. Value cannot be null for device type 20.Example:
180 -
objectNum(required):
integer
Object number of the workstationExample:
1 -
parity:
string
Parity of the device. Value cannot be null for the following device types - 1, 2, 3, 5, 8, 10, 12, 13, 14, 15(progId - Micros.Devices.FingerPrintReader.Opos), 16 and 17.Example:
N -
primaryHost:
string
URL of the endpoint. Format http(s)://host:port number. Value cannot be null for device type 20.Example:
http://url.domain.com:443 -
progId:
string
Prog Id of the custom peripheral device. Required to create a new device.Example:
Micros.Devices.BarCodeReader.RS232 -
securitySettings:
integer
Security settings for the interface. Value cannot be null for device type 20.Example:
1 -
stopBits:
integer
Stop Bits of the device. Value cannot be null for the following device types - 1, 2, 3, 5, 8, 10, 12, 13, 14, 15(progId - Micros.Devices.FingerPrintReader.Opos), 16 and 17.Example:
1 -
validateXMLAgainstSchema:
boolean
A Boolean flag indicating if xml message is validated against schema and log errors. Applicable only for type=20 and SPI.Example:
false
Response
Supported Media Types
- application/json
200 Response
Update operation executed successfully.
Root Schema : schema
Type:
Show Source
object-
deviceNum:
integer
The sequence number of the deviceExample:
1 -
hierUnitId:
integer
Unique hierarchy unit value of the propertyExample:
1 -
objectNum:
integer
Object number of the workstationExample:
1
201 Response
Insert operation executed successfully.
Root Schema : schema
Type:
Show Source
object-
deviceNum:
integer
The sequence number of the deviceExample:
1 -
hierUnitId:
integer
Unique hierarchy unit value of the propertyExample:
1 -
objectNum:
integer
Object number of the workstationExample:
1